'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var test = _interopDefault(require('tape'));
var Enzyme = _interopDefault(require('enzyme'));
var Adapter = _interopDefault(require('enzyme-adapter-react-16'));
var React = require('react');
var styletronStandard = require('styletron-standard');
var styletronReactCore = require('styletron-react-core');

var cov_2n82u674nh = function () {
  var path = "/Users/rtsao/rtsaoforks/styletron/packages/styletron-react/src/index.js",
      hash = "0dbb6c8229ffceecf259b5845191de8f79a369db",
      global = new Function('return this')(),
      gcv = "__coverage__",
      coverageData = {
    path: "/Users/rtsao/rtsaoforks/styletron/packages/styletron-react/src/index.js",
    statementMap: {
      "0": {
        start: {
          line: 11,
          column: 61
        },
        end: {
          line: 15,
          column: 2
        }
      }
    },
    fnMap: {
      "0": {
        name: "(anonymous_0)",
        decl: {
          start: {
            line: 12,
            column: 11
          },
          end: {
            line: 12,
            column: 12
          }
        },
        loc: {
          start: {
            line: 12,
            column: 24
          },
          end: {
            line: 12,
            column: 33
          }
        },
        line: 12
      }
    },
    branchMap: {},
    s: {
      "0": 0
    },
    f: {
      "0": 0
    },
    b: {},
    _coverageSchema: "332fd63041d2c1bcb487cc26dd0d5f7d97098a6c"
  },
      coverage = global[gcv] || (global[gcv] = {});

  if (coverage[path] && coverage[path].hash === hash) {
    return coverage[path];
  }

  coverageData.hash = hash;
  return coverage[path] = coverageData;
}();

const styled = (cov_2n82u674nh.s[0]++, styletronReactCore.createStyled({
  wrapper: Component => Component,
  getInitialStyle: styletronStandard.getInitialStyle,
  driver: styletronStandard.driver
}));

Enzyme.configure({
  adapter: new Adapter()
});
test("styled static", t => {
  const style = {
    color: "red",
    display: "inline"
  };
  const Widget = styled("div", style);
  Enzyme.shallow(React.createElement(Widget, null), {
    context: {
      styletron: {
        renderStyle: x => {
          t.deepEqual(x, style);
        }
      }
    }
  });
  t.end();
});
test("styled dynamic", t => {
  const Widget = styled("div", props => ({
    color: props.foo ? "red" : "blue"
  }));
  Enzyme.shallow(React.createElement(Widget, {
    foo: true
  }), {
    context: {
      styletron: {
        renderStyle: x => {
          t.deepEqual(x, {
            color: "red"
          });
        }
      }
    }
  });
  t.end();
});
test("withStyle static", t => {
  const Widget = styled("div", {
    color: "red",
    display: "inline"
  });
  const SuperWidget = styletronReactCore.withStyle(Widget, {
    display: "block",
    background: "black"
  });
  Enzyme.shallow(React.createElement(SuperWidget, null), {
    context: {
      styletron: {
        renderStyle: x => {
          t.deepEqual(x, {
            color: "red",
            display: "block",
            background: "black"
          });
        }
      }
    }
  });
  t.end();
});
test("withStyle dynamic", t => {
  const Widget = styled("div", {
    color: "red",
    display: "inline"
  });
  const SuperWidget = styletronReactCore.withStyle(Widget, props => ({
    display: props.$block ? "block" : "inline",
    background: "black"
  }));
  Enzyme.shallow(React.createElement(SuperWidget, {
    $block: true
  }), {
    context: {
      styletron: {
        renderStyle: x => {
          t.deepEqual(x, {
            color: "red",
            display: "block",
            background: "black"
          });
        }
      }
    }
  });
  t.end();
});
test("withTransform", t => {
  const Widget = styled("div", {
    color: "red",
    display: "inline"
  });
  const SuperWidget = styletronReactCore.withTransform(Widget, (style, props) => Object.assign({}, style, {
    display: props.$block ? "block" : "inline"
  }));
  Enzyme.shallow(React.createElement(SuperWidget, {
    $block: true
  }), {
    context: {
      styletron: {
        renderStyle: x => {
          t.deepEqual(x, {
            color: "red",
            display: "block"
          });
        }
      }
    }
  });
  t.end();
});
test("font-face injection", t => {
  t.plan(2);
  const fontFace = {
    src: "foo"
  };
  const style = {
    fontFamily: fontFace
  };
  const Widget = styled("div", style);
  Enzyme.shallow(React.createElement(Widget, null), {
    context: {
      styletron: {
        renderStyle: x => {
          t.deepEqual(x, {
            fontFamily: "foo"
          });
        },
        renderFontFace: x => {
          t.deepEqual(x, fontFace);
          return "foo";
        }
      }
    }
  });
  t.end();
});
test("keyframes injection", t => {
  t.plan(2);
  const keyframes = {
    from: {
      color: "red"
    },
    to: {
      color: "green"
    }
  };
  const style = {
    animationName: keyframes
  };
  const Widget = styled("div", style);
  Enzyme.shallow(React.createElement(Widget, null), {
    context: {
      styletron: {
        renderStyle: x => {
          t.deepEqual(x, {
            animationName: "foo"
          });
        },
        renderKeyframes: x => {
          t.deepEqual(x, keyframes);
          return "foo";
        }
      }
    }
  });
  t.end();
});
//# sourceMappingURL=node.js.map
